Handovers (Operations)

These endpoints manage the handover process.

List handover container

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Get all Handover Container respecting the given filter

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startAfterIdstringOptional

entity to start after

sizeintegerOptional

number of entities to show

Default: 25
facilityRefsstring[]Optional

facilities to filter the results

Responses
chevron-right
200

All HandoverContainer matching the given parameters.

application/json
anyOptional

StrippedHandoverContainer

get
/api/handovercontainers

Create handover container

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Create new Handover Container

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

HandoverContainerForCreation

codesstring[]Optional
customAttributesobject[]Optional
handoverJobRefstringRequired

Linked HandoverJob through reference

iconUrlstringOptional

URL to icon

operativeContainerTypeRefstringOptional

Linked Operative Container Type through reference

stackRefstringOptional

Linked Stack through reference

storageLocationRefstringOptional

Linked StorageLocation through reference

weightLimitInGintegerOptional

Weight limit in gram for this Container

Responses
post
/api/handovercontainers

Get handover container

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Get handover container

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
handoverContainerIdstringRequired

id of the handover container

Responses
chevron-right
200

HandoverContainer matching the given id.

application/json

HandoverContainer

get
/api/handovercontainers/{handoverContainerId}

Delete handover container

delete

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Delete handover container

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
handoverContainerIdstringRequired

id of the handover container

Responses
chevron-right
200

HandoverContainer successfully deleted.

No content

delete
/api/handovercontainers/{handoverContainerId}

No content

Get handover container stack

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Return the stack of a given handover container if found

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
handoverContainerIdstringRequired

id of the handover container

Responses
chevron-right
200

Stack for the given handoverContainer matching the given id.

application/json

Stack

createdstring · date-timeRequired

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
facilityRefsstring[] · max: 50Required

Linked Facilities through reference

idstringRequired

Unique identifier of the Stack

lastModifiedstring · date-timeRequired

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
processRefsstring[] · max: 50Required

Linked Processes through reference

versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
get
/api/handovercontainers/{handoverContainerId}/stack

List handover jobs

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startAfterIdstringOptional

all entities after given Id

sizeintegerOptional

number of entities to show

Default: 25
pickJobRefstringOptional

This query can be used to find handoverjobs for a referenced pickjob

shipmentRefstringOptional

This query can be used to find handoverjobs for a referenced shipment

assignedUserstringOptional

Reference the assigned user on this entity - id or username

facilityRefstringOptional

Reference to the facility you want to get the corresponding handoverJobs

statusstring[]Optional

Reference to the status you want to get the corresponding handoverJobs

carrierRefsstring[]Optional

Reference to the carriers you want to get the corresponding handoverJobs

channelstringOptional

Reference to the channel you want to get the corresponding handoverJobs

anonymizedbooleanOptional

Parameter to filter anonymized handover jobs

tenantOrderIdstringOptional

This query can be used to find handoverjobs with the given tenantOrderId

searchTermstringOptional

Perform full text search over all searchable attributes

startTargetTimestring · date-timeOptional

Start date range for pick jobs

Example: 2020-02-03T08:45:50.525Z
endTargetTimestring · date-timeOptional

End date range for pick jobs

Example: 2020-02-03T08:45:50.525Z
Responses
chevron-right
200

Handoverjobs are found.

application/json

StrippedHandoverjobs

totalintegerOptional

Total number of found entities for this query

Example: 42
get
/api/handoverjobs

Create handover job

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

HandoverjobForCreation

cancelReasonstring · enumOptional

HandoverJobCancelReason

Possible values:
carrierLogoUrlstringOptionalDeprecated

This part of the API is deprecated. For details please check the api-release-life-cycle documentation.

@deprecated This field is deprecated since 28 November 2024. Use nested object handoverJobParcelInfo instead.

carrierRefstringOptionalDeprecated

This part of the API is deprecated. For details please check the api-release-life-cycle documentation.

@deprecated This field is deprecated since 28 November 2024. Use nested object handoverJobParcelInfo instead.

carrierTrackingNumberstringOptionalDeprecated

This part of the API is deprecated. For details please check the api-release-life-cycle documentation.

@deprecated This field is deprecated since 28 November 2024. Use nested object handoverJobParcelInfo instead.

channelstring · enumRequiredPossible values:
customAttributesobjectOptional

Attributes that can be added to the handover job. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

facilityRefstringRequired

The id of the facility reference.

Example: Esb20gpHBL94X5NdMp3C
fullIdentifierstringOptional

An information to identify the recipient

loadUnitRefsstring[]Optional

Reference to array of load unit Refs

operativeProcessRefstringOptional
orderDatestring · date-timeRequired

The date this order was created at the supplying system.

Example: 2020-02-03T08:45:50.525Z
paidbooleanOptional

Indicates if the order is already paid

Example: false
parcelRefstringOptionalDeprecated

This part of the API is deprecated. For details please check the api-release-life-cycle documentation.

@deprecated This field is deprecated since 28 November 2024. Use nested object handoverJobParcelInfo instead.

Example: 2fOge2ZGW54K4TgvDTQw
pickJobRefstringOptional

The reference to the pickjob for which the handoverjob is assigned to

Example: ca525716-7208-4a63-a2a6-11274eb37f67-0
processIdstringOptional

Id of the global process related to this entity. For example used for starting the GDPR process and others.

routingPlanRefstringOptional

The reference to the routing plan for which the handoverjob is assigned to

Example: ca525716-7208-4a63-a2a6-11274eb37f67-0
shipmentRefstringOptionalDeprecated

This part of the API is deprecated. For details please check the api-release-life-cycle documentation.

@deprecated This field is deprecated since 28 November 2024. Use nested object handoverJobParcelInfo instead.

Example: Esb20gpHBL94X5NdMp3C
shortIdentifierstringOptional

The short identifier of the shipment.

statusstring · enumOptional

HandoverjobStatus

Possible values:
targetTimestring · date-timeRequired

The time the handoverjob is expected to be picked up at the facility.

tenantOrderIdstringOptional

Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.

Example: R456728546
Responses
post
/api/handoverjobs

Get handover job

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
handoverjobIdstringRequired

ID of the handoverjob you want to get

Responses
chevron-right
200

Handoverjob was found & you were allowed to access it. The result is in the body.

application/json

Handoverjob

and
get
/api/handoverjobs/{handoverjobId}

Update handover job

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
handoverjobIdstringRequired

ID of handoverjob you want to patch

Body

HandoverjobPatchActions

versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
Responses
chevron-right
200

Handoverjob was found & patch-set has been applied. The patched entity is in the body.

application/json

Handoverjob

and
patch
/api/handoverjobs/{handoverjobId}

Call handover job action

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
handoverJobIdstringRequired

Reference to the handover job you want to call the action for

Body

HandoverJobActionsParameter

or
or
or
or
or
or
Responses
chevron-right
200

Updated Handover job in the body.

application/json

Handoverjob

and
post
/api/handoverjobs/{handoverJobId}/actions

List handover job (search)

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Search for HandoverJob

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

HandoverJobSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
chevron-right
200

Your search result

application/json

HandoverJobPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post
/api/handoverjobs/search

Last updated